<?PHP
/*
* redirect.php Actions wrapper
* copyright (c)2005 Marco Islas &lt;markuz@islascruz.org&gt;
*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
  
 class redirect
 {
 	function default_action(){
 		if (!isset($_REQUEST["id"]))
 			$GLOBALS["functions"]->fatal_error("No te puedo redirigir");
 		$sql 	  = "select url,hits from sites where id='".$_REQUEST["id"]."'";
 		$data 	  = $GLOBALS["db"]->fetch_array($sql);
 		$new_hits = $data["hits"] + 1;
 		$sql = "update sites set hits='".$new_hits."' where ";
 		$sql.= "id='".$_REQUEST["id"]."'";;
 		if($GLOBALS["db"]->query($sql)){
 			header("Location: ".$data["url"]);
 		}
 		else
 			$GLOBALS["functions"]->fatal_error("Algo ha fallado");
 	}
 	
 	
 }
 ?>